# Xapian::ExpandDecider Class Reference

Base class for expand decision functor. More...

`#include <enquire.h>`

Inheritance diagram for Xapian::ExpandDecider:

[legend]
List of all members.

## Public Member Functions

virtual int | operator() (const std::string &tname) const =0
| Decide whether we want this term to be in the expand set.
virtual | ~ExpandDecider ()
| Destructor.

## Detailed Description

Base class for expand decision functor.

## Constructor & Destructor Documentation

virtual Xapian::ExpandDecider::~ExpandDecider | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual int Xapian::ExpandDecider::operator() | ( | const std::string & | tname | ) | const`[pure virtual]`

| Decide whether we want this term to be in the expand set. Implemented in Xapian::ExpandDeciderFilterTerms, and Xapian::ExpandDeciderAnd.

The documentation for this class was generated from the following file:

- include/xapian/enquire.h